Bug 715460 - [patch] uboot support for ARM - rework
[patch] uboot support for ARM - rework
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: grubby (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2011-06-22 19:39 EDT by Zoran Pericic
Modified: 2013-07-23 17:59 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-23 17:59:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch for 7.0.16-7.0.18 (37.44 KB, patch)
2011-06-22 19:39 EDT, Zoran Pericic
no flags Details | Diff
Patch for current head (40.17 KB, patch)
2011-06-22 19:40 EDT, Zoran Pericic
no flags Details | Diff
Patch for grubby.spec (908 bytes, patch)
2011-06-22 19:45 EDT, Zoran Pericic
no flags Details | Diff

  None (edit)
Description Zoran Pericic 2011-06-22 19:39:46 EDT
Created attachment 506092 [details]
Patch for 7.0.16-7.0.18

Description of problem:
Complete rework of uboot ARM support.

In current HEAD there is basic support for uboot.

This patch add reworked Ubuntu flash-kernel utility which is used to flash kernel to ARM boot device (mmc, mtd)

Also, I modified new-kernel-pkg script to use new utility. 

flash-kernel can
- install new kernel/initrd with specified files or kernel version
- update bootloader for OMAP
- create new boot script from parametars in /etc/sysconfig/uboot file

Patch was written by Zoran Pericic <zpericic@netst.org>

Version-Release number of selected component (if applicable):
Tested with >=7.0.16

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Zoran Pericic 2011-06-22 19:40:32 EDT
Created attachment 506093 [details]
Patch for current head
Comment 2 Zoran Pericic 2011-06-22 19:45:13 EDT
Created attachment 506094 [details]
Patch for grubby.spec
Comment 3 Mads Kiilerich 2011-11-25 12:24:24 EST
A simpler approach is discussed on bug 731580
Comment 4 Bernard Johnson 2012-04-15 12:32:06 EDT
Part of the patch does this in /sbin/new-kernel-pkg:
	
if [ -z "$mountEntry" ]; then
  mount $ubootDevice $ubootDir
fi

For anything other than "standard" device/filesystem, this will not work correctly.

For example, in my setup /boot/uboot is a bind mount of /boot.  There should be some kind of mechanism to specify this in /etc/sysconfig/uboot.
Comment 5 Peter Robinson 2012-06-06 05:45:59 EDT
We need to review this for F-18
Comment 6 Fedora End Of Life 2013-04-03 13:02:26 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 7 Peter Robinson 2013-07-23 17:59:54 EDT
I think this can now be closed

Note You need to log in before you can comment on or make changes to this bug.